package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.PersonalStageWakeup;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PersonalStageWakeupDao extends BaseDao<PersonalStageWakeup> {
    Integer batchInsert(List<PersonalStageWakeup> list);

    void deleteByPersonalStageId(Long personalStageId);

    List<PersonalStageWakeup> getListByPersonalStageId(Long personalStageId);

    PersonalStageWakeup getFirstWakeup(Long personalStageId);
}